
package com.tmerclub.cloud.multishop.vo;

import com.tmerclub.cloud.api.multishop.vo.ShopDetailVO;
import com.tmerclub.cloud.api.supplier.vo.SupplierApiDetailVO;
import com.tmerclub.cloud.api.user.vo.UserApiVO;
import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serial;
import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * 公告VO
 *
 * @author YXF
 * @date 2020-11-25 17:57:56
 */
public class NoticeVO extends BaseVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "公告id")
    private Long id;

    @Schema(description = "店铺id")
    private Long shopId;

    @Schema(description = "公告标题")
    private String title;

    @Schema(description = "公告内容")
    private String content;

    @Schema(description = "类型(1:在商家端展示 2:用户端展示 3:供应商端展示)")
    private String types;

    @Schema(description = "状态(1:公布 0:撤回)")
    private Integer status;

    @Schema(description = "是否置顶")
    private Integer isTop;

    @Schema(description = "发布时间")
    private Date publishTime;

    @Schema(description = "是否已读")
    private Integer isLearning;

    @Schema(description = "商家可见范围 (为空则全部可见)")
    private String multiShopIds;

    @Schema(description = "用户可见范围 (为空则全部可见)")
    private String userIds;

    @Schema(description = "供应商可见范围 (为空则全部可见)")
    private String supplierIds;

    @Schema(description = "商家可见范围 (为空则全部可见)")
    private List<ShopDetailVO> shopDetailVOList;

    @Schema(description = "用户可见范围 (为空则全部可见)")
    private List<UserApiVO> userDtailList;

    @Schema(description = "供应商可见范围 (为空则全部可见)")
    private List<SupplierApiDetailVO> supplierDetailList;

    @Schema(description = "是否立即发送 1：立即发送    0：定时发送")
    private Integer immediatelySend;

    @Schema(description = "发送时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date sendTime;


    public List<ShopDetailVO> getShopDetailVOList() {
        return shopDetailVOList;
    }

    public void setShopDetailVOList(List<ShopDetailVO> shopDetailVOList) {
        this.shopDetailVOList = shopDetailVOList;
    }

    public List<UserApiVO> getUserDtailList() {
        return userDtailList;
    }

    public void setUserDtailList(List<UserApiVO> userDtailList) {
        this.userDtailList = userDtailList;
    }

    public List<SupplierApiDetailVO> getSupplierDetailList() {
        return supplierDetailList;
    }

    public void setSupplierDetailList(List<SupplierApiDetailVO> supplierDetailList) {
        this.supplierDetailList = supplierDetailList;
    }

    public Integer getImmediatelySend() {
        return immediatelySend;
    }

    public void setImmediatelySend(Integer immediatelySend) {
        this.immediatelySend = immediatelySend;
    }

    public Date getSendTime() {
        return sendTime;
    }

    public void setSendTime(Date sendTime) {
        this.sendTime = sendTime;
    }

    public Integer getIsLearning() {
        return isLearning;
    }

    public void setIsLearning(Integer isLearning) {
        this.isLearning = isLearning;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getShopId() {
        return shopId;
    }

    public void setShopId(Long shopId) {
        this.shopId = shopId;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getTypes() {
        return types;
    }

    public void setTypes(String types) {
        this.types = types;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getIsTop() {
        return isTop;
    }

    public void setIsTop(Integer isTop) {
        this.isTop = isTop;
    }

    public Date getPublishTime() {
        return publishTime;
    }

    public void setPublishTime(Date publishTime) {
        this.publishTime = publishTime;
    }

    public String getMultiShopIds() {
        return multiShopIds;
    }

    public void setMultiShopIds(String multiShopIds) {
        this.multiShopIds = multiShopIds;
    }

    public String getUserIds() {
        return userIds;
    }

    public void setUserIds(String userIds) {
        this.userIds = userIds;
    }

    public String getSupplierIds() {
        return supplierIds;
    }

    public void setSupplierIds(String supplierIds) {
        this.supplierIds = supplierIds;
    }

    public static long getSerialVersionUid() {
        return serialVersionUID;
    }

    @Override
    public String toString() {
        return "NoticeVO{" +
                "id=" + id +
                ", shopId=" + shopId +
                ", title='" + title + '\'' +
                ", content='" + content + '\'' +
                ", types='" + types + '\'' +
                ", status=" + status +
                ", isTop=" + isTop +
                ", publishTime=" + publishTime +
                ", isLearning=" + isLearning +
                ", multiShopIds='" + multiShopIds + '\'' +
                ", userIds='" + userIds + '\'' +
                ", supplierIds='" + supplierIds + '\'' +
                ", shopDetailVOList=" + shopDetailVOList +
                ", userDtailList=" + userDtailList +
                ", supplierDetailList=" + supplierDetailList +
                ", immediatelySend=" + immediatelySend +
                ", sendTime=" + sendTime +
                '}';
    }
}
